{ config, pkgs, ... }:

{
  users.users.fp = {
    hashedPassword = "$y$j9T$scQOLdMIXez8Der0qNAGc0$rJS1YPt21LjD2EPNoRxZlq8uRcLEd8jWqNl.NvYWkg8";
    description = "felix";
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHUkd7mAaN/jzDhMXKTVnLl2sjoCPyp4dOT9fJWqkOat demo@nixos"
    ];
    isNormalUser = true;
    shell = pkgs.fish;
    extraGroups = [
      "wheel"
      "networkmanager"
      "pipewire"
      "audio"
      "adbusers"
    ];
  };
  home-manager.users.fp = {
    imports = [ ../. ];
    home = {
      username = config.users.users.fp.name;
      homeDirectory = config.users.users.fp.home;
      stateVersion = config.system.stateVersion;
    };
  };
}
