{ config, pkgs, ... }:

{
  users.users.root = {
    hashedPassword = "$2b$05$Uk84TY/RHlH8DIigUlFYjeorjTlCMEY9wN2pAcw5BLaPoc7dKiSsC";
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIB8oyMpS2hK3gQXyHIIVS6oilgMpemLmfhKKJ6RBMwUh johannes@joens.email"
    ];
  };
  home-manager.users.root = {
    imports = [ ../. ];
    home = {
      username = config.users.users.root.name;
      homeDirectory = config.users.users.root.home;
      stateVersion = config.system.stateVersion;
    };
  };
}
